List workflows
curl --request GET \
--url https://api.trytikt.com/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trytikt.com/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trytikt.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trytikt.com/v1/workflows")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "draft",
"paused_reason": "by_client",
"actions": {
"list": {
"id": "<string>",
"name": "<string>"
},
"notify": "email",
"webhook_endpoint": {
"id": "<string>",
"name": "<string>"
}
},
"past": {
"status": "pending",
"leads": 123
},
"matched_total": 123,
"last_matched_at": "<string>",
"created_at": "<string>"
}
]
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}Workflows
List workflows
Your workflows (created on the Leads page): their state, their actions and how many leads they matched. Never their filters.
GET
/
v1
/
workflows
List workflows
curl --request GET \
--url https://api.trytikt.com/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trytikt.com/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trytikt.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trytikt.com/v1/workflows")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "draft",
"paused_reason": "by_client",
"actions": {
"list": {
"id": "<string>",
"name": "<string>"
},
"notify": "email",
"webhook_endpoint": {
"id": "<string>",
"name": "<string>"
}
},
"past": {
"status": "pending",
"leads": 123
},
"matched_total": 123,
"last_matched_at": "<string>",
"created_at": "<string>"
}
]
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}